Subject: bug#50470: 27.1; 'company-mode' 'eshell'

From: Dmitry Gutov <[email-masked]>
Date: Mon, 6 Jun 2022 12:07:58 +0300

On 06.06.2022 04:34, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> Still, if you remove the ~/ the behavior is still not great: it seems I get
> "Do*" completed to "Documents/ " where the SPC might not be what I want.

I think that space comes from exit-function (defined at the end of 
pcomplete-completions-at-point).

So it should be orthogonal to the contents of the completion table.

The file names in COMPLETIONS inside pcomplete-parse-arguments come 
without trailing space.